<?php

declare(strict_types=1);

namespace App\Enum\Cotisation;

use App\Enum\EnumMethodsTrait;

/**
 * noms des types de pratiques.
 */
enum TypeOfPracticeEnum: string
{
    use EnumMethodsTrait;

    case BATTERY_FANFARE = 'BATTERY_FANFARE';
    case BIG_BAND = 'BIG_BAND';
    case BRASS_BAND = 'BRASS_BAND';
    case MIXED_CHORUS = 'MIXED_CHORUS';
    case FEMAL_CHOIR = 'FEMAL_CHOIR';
    case MENS_CHOIR = 'MENS_CHOIR';
    case CHILDRENS_CHOIR = 'CHILDRENS_CHOIR';
    case ORCHESTRA_CLASS = 'ORCHESTRA_CLASS'; // Non
    case COPPER_BAND = 'COPPER_BAND';
    case JAZZ_BAND = 'JAZZ_BAND';
    case PERCUSSION_BAND = 'PERCUSSION_BAND';
    case PLUCKED_ORCHESTRA = 'PLUCKED_ORCHESTRA'; // Done
    case FOLKLORIC_BAND = 'FOLKLORIC_BAND';
    case VOCAL_BAND_UP_16 = 'VOCAL_BAND_UP_16';
    case FIFE_AND_DRUM = 'FIFE_AND_DRUM';
    case CURRENT_MUSIC_GROUP = 'CURRENT_MUSIC_GROUP';
    case CHAMBER_MUSIC_ENSEMBLE = 'CHAMBER_MUSIC_ENSEMBLE';
    case TRADITIONAL_MUSIC_ENSEMBLE = 'TRADITIONAL_MUSIC_ENSEMBLE';
    case VARIOUS_ORCHESTRA = 'VARIOUS_ORCHESTRA';
    case ACCORDION_ORCHESTRA = 'ACCORDION_ORCHESTRA';
    case HARMONY_ORCHESTRA = 'HARMONY_ORCHESTRA';
    case FANFARE_BAND = 'FANFARE_BAND';
    case SYMPHONY_ORCHESTRA = 'SYMPHONY_ORCHESTRA';
    case VIOLIN_BAND = 'VIOLIN_BAND';
    case SAXOPHONES_BAND = 'SAXOPHONES_BAND';
    case HUNTING_HORNS = 'HUNTING_HORNS';
    case STRING_ORCHESTRA = 'STRING_ORCHESTRA';
    case FLUTE_ENSEMBLE = 'FLUTE_ENSEMBLE';
    case CLARINET_CHOIR = 'CLARINET_CHOIR';
    case PHILHARMONIC_ORCHESTRA = 'PHILHARMONIC_ORCHESTRA';
    case BANDAS = 'BANDAS';
    case BAGAD = 'BAGAD';
    case BATTUCADA = 'BATTUCADA';
    case MARCHING_BAND = 'MARCHING_BAND';
    case EDUCATION = 'EDUCATION';
    case MAJORETTE_AND_TWIRLING = 'MAJORETTE_AND_TWIRLING';
    case TROOP = 'TROOP';
    case OTHER_TYPE = 'OTHER_TYPE';
    case COMPANIES = 'COMPANIES';
    case TAP_DANCE = 'TAP_DANCE';
    case CLASSICAL_DANCE = 'CLASSICAL_DANCE';
    case CONTEMPORARY_DANCE = 'CONTEMPORARY_DANCE';
    case BALLROOM_DANCE = 'BALLROOM_DANCE';
    case JAZZ_DANCE = 'JAZZ_DANCE';
    case FOLK_DANCE = 'FOLK_DANCE';
    case BREAK_DANCING = 'BREAK_DANCING';
    case LATIN_DANCE = 'LATIN_DANCE';
    case ART_TEACHING = 'ART_TEACHING';
    case CIRCUS_TRAINING = 'CIRCUS_TRAINING';
    case DANCE_LESSONS = 'DANCE_LESSONS';
    case MUSIC_TEACHING = 'MUSIC_TEACHING';
    case DRAMATIC_ARTS = 'DRAMATIC_ARTS';
}
